AlgoSenSim - Installation

Requirements

Software

AlgoSenSim is a framework built on the Java J2SE 5.0 plateform. To check if everything is installed you can type on a shell:

$ java -version
java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)

The java version returned must be greater or equals to “1.5.0”. You can download an up-to-date JDK on Sun site.

Installation

To install AlgoSenSim, you can:

Subversion

You can use subversion to download AlgoSenSim at the address https://subversion.unige.ch/groups/tcs/algosensim/tags/algosensim-0.9.2.2/

  1. Go where you want to install the framework
  2. Download the source
svn co https://subversion.unige.ch/groups/tcs/algosensim/tags/algosensim-0.9.2.2/

You can get the development version with subversion at the address https://subversion.unige.ch/groups/tcs/algosensim/trunk/

Download

You can download an archive and decompress it:

  1. Download the latest tarball here.
  2. Copy it where you want to install your apps.
  3. Use your favorite program to expand it. If you hesitate, you should try 7-zip (open source).
tar zxvf algosensim0.9.2.2.tgz

You can download older versions here.

Usage

First, you need to add the AlgoSenSim jar to your CLASSPATH variable. Then you can invoke AlgoSenSim with:

java [vm_flags] algosensim.AlgoSenSim --file <config_file.xml>

where <config_file.xml> is the name of your config file (required) and [vm_flags] the optional java virtual machine flags. We advise to use -server wich provides deeper hotspot optimisations and -Xmx / -Xms to augment the maximum/initial heap size.

If you choose to implement you own classes, we advice to begin a new package tree and add it to the CLASSPATH variable.

Further informations

You can find further informations browsing the APIs javadoc or reading the tutorials.